[med-svn] [Git][med-team/python-pauvre][master] moved away from patch to use a placeholder pauvre
Étienne Mollier
gitlab at salsa.debian.org
Sun Apr 26 09:50:23 BST 2020
Étienne Mollier pushed to branch master at Debian Med / python-pauvre
Commits:
ec01bdf0 by Etienne Mollier at 2020-04-26T10:48:26+02:00
moved away from patch to use a placeholder pauvre
the way the patch ended up didn't make it really suitable for
upstream upload, as not standalone without the appropriate changes
in debian/.
- - - - -
4 changed files:
- + debian/bin/pauvre
- debian/patches/series
- − debian/patches/test-local-pauvre.patch
- debian/rules
Changes:
=====================================
debian/bin/pauvre
=====================================
@@ -0,0 +1,5 @@
+#! /bin/bash
+# pauvre reimplementation in shell: the test suite expects its availability in
+# the PATH. Appropriate python environment is expected to be set in d/rules.
+set -ex
+exec python3 "$CURDIR/pauvre/pauvre_main.py" "$@"
=====================================
debian/patches/series
=====================================
@@ -1,3 +1,2 @@
2to3.patch
typo-redwood.patch
-test-local-pauvre.patch
=====================================
debian/patches/test-local-pauvre.patch deleted
=====================================
@@ -1,24 +0,0 @@
-Description: Use local "pauvre" for build testing
- The current testing in place embeds a shell script which makes the assumption
- that the command "pauvre" is available in the path of the tester. It would
- seem better to either carry out this test later in the package construction
- steps, or make sure that this is the working copy of pauvre_main.py which is
- being tested. This patch applies the second approach, to allow going a step
- further with build testing.
-Author: Étienne Mollier <etienne.mollier at mailoo.org>
-Forwarded: no
-Last-Update: 2020-04-25
----
-This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
---- python-pauvre.orig/pauvre/tests/test_synplot.py
-+++ python-pauvre/pauvre/tests/test_synplot.py
-@@ -51,7 +51,8 @@
- """This verifies that the LibSeq class is constructed with all of the
- parameters that are present in the meraculous config files"""
- os.chdir(self.thisoutdir)
-- thiscommand = """pauvre synplot --aln_dir {0} \
-+ thiscommand = """python3 ../../../pauvre_main.py synplot \
-+ --aln_dir {0} \
- --fileform pdf \
- --gff_paths {1} {2} {3} \
- --center_on COX1 \
=====================================
debian/rules
=====================================
@@ -22,6 +22,8 @@ include /usr/share/dpkg/default.mk
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
- export PYTHONPATH="$(CURDIR)" \
- && dh_auto_test
+ CURDIR="$(CURDIR)" \
+ PATH="$(CURDIR)/debian/bin:$$PATH" \
+ PYTHONPATH="$(CURDIR)" \
+ dh_auto_test
endif
View it on GitLab: https://salsa.debian.org/med-team/python-pauvre/-/commit/ec01bdf07d3f8630e65d0ae45aebdedb2ec9e453
--
View it on GitLab: https://salsa.debian.org/med-team/python-pauvre/-/commit/ec01bdf07d3f8630e65d0ae45aebdedb2ec9e453
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200426/3950c0ee/attachment-0001.html>
More information about the debian-med-commit
mailing list